Subject: 4.4, 4.6: camera and unlock buttons produce tons of interrupts (was Re: N900 sleep mode)

From: [email-masked] (Pavel Machek)
Date: Fri, 8 Apr 2016 11:19:35 +0200

Hi!

> > > Looks like you have 117 additional entries in .config enabled compared
> > > to omap2plus_defconfig. Maybe go back to omap2plus_defconfig with minimal
> > > changes and verify it idles properly first?
> > > 
> > > I'm suspecting it's some driver(s) you have enabled causing the
> > > issue.
> > 
> > I guess so. Do you (or anyone else) have minimum non-modular config
> > for N900 that boots with video? Could I get lsmod from your system?
> > (Yes, I still have nightmares from getting .config that works).
> 
> Well I've been just using omap2plus_defconfig with:
> 
> # modprobe tsc2005
> # modprobe gpio_backlight
> # modprobe panel_sony_acx565akm
> # modprobe omapfb
> 
> # echo 255 > /sys/class/backlight/acx565akm/brightness
> 
> And then the following to blank for idle:
> 
> # echo 1 > /sys/devices/platform/omapfb/graphics/fb0/blank
> 
> But in the world of eternal regressions, I'm not seeing anything
> on the framebuffer with v4.6-rc2 :( No idea what broke it or when
> as my n900 is in the rack.

Well, for the record, framebuffer works in my config with v4.6-rc2. So
that is another config issue. Hopefully it is not the same issue ;-).

Best regards,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html